# -*- coding: utf-8 -*-
#
"""Script to convert Matplotlib generated figures into TikZ/PGFPlots figures.
"""
from __future__ import print_function

from matplotlib2tikz.__about__ import (
    __author__,
    __email__,
    __copyright__,
    __license__,
    __version__,
    __status__,
)

from matplotlib2tikz.save import get_tikz_code, save

__all__ = [
    "__author__",
    "__email__",
    "__copyright__",
    "__license__",
    "__version__",
    "__status__",
    "get_tikz_code",
    "save",
]

raise RuntimeError("matplotlib2tikz has been renamed to tikzplotlib <https://pypi.org/project/tikzplotlib>")

try:
    import pipdate
except ImportError:
    pass
else:
    if pipdate.needs_checking(__name__):
        print(pipdate.check(__name__, __version__))
